Gunner = {targetX = 0, targetY = 0, teleporting = false, lifetime = 0, doStand = true, doWalk = false, doAttack = false, smashState = false, proximityAlert = false, Stunned = 0, attackSequence = 0, stopMovement = true}
Gunner.__index = Gunner

function Gunner.LoadAssets(me)
	LoadModel(me,"Beast","Animated")
end

function Gunner:Create(me)
	--LoadModel(me,"Gunner","Animated")
SetHealth(me,1)
	SetHealth(me,math.random(5,16))
	--SetHealth(me,math.random(2,6)) --Add in some spice
	SetPalette(me,14)
	SetPower(me,0)
	
end

function Gunner:Collide(me, you)
	power = GetPower(you)
	TakeDamage(me, power)
	if power > 0
	then
		self.Stunned = 16
	end
end

function Gunner:Death(me)
	child = CreateObject(me,"Death","EnemyFX", 0,11,1,false)
	SetSFX(child,true)
	MoveObject(child,32,0)
end

function Gunner:CollideWorld(me)
	ShakeScreen(8)
	TakeDamage(me, 2);
	SetVelocity(me,0,0)
	PlaySoundEffect(1)
end

function Gunner:Death(me)
	x,y = GetPosition(me)
	y = y - 32
	CreateEmitter("Explosion", x,y)
end
	
function Gunner:Update(me)
	

end
